package com.zj365.mime.act

import android.graphics.Rect
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.alibaba.android.arouter.facade.annotation.Route
import com.xty.base.act.BaseListAct
import com.xty.base.vm.BaseVm
import com.xty.common.SizeUtil
import com.xty.common.arouter.ARouterUrl
import com.zj365.mime.adapter.EnterpriseInformationAdapter
import com.zj365.mime.databinding.ActEnterpriseInformationBinding

/**
 * 企业资料
 */
@Route(path = ARouterUrl.ENTERPRISE_INFO)
class EnterpriseInformationAct : BaseListAct<BaseVm>() {
    val binding by lazy { ActEnterpriseInformationBinding.inflate(layoutInflater) }

    val mAdapter by lazy { EnterpriseInformationAdapter() }
    override fun initAdapter() {
        binding.recyclerView.layoutManager = LinearLayoutManager(this)
        binding.recyclerView.adapter = mAdapter
        setRecycleRefresh(binding.recyclerView,binding.mRefresh,true)
      /*  binding.recyclerView.addItemDecoration(object : RecyclerView.ItemDecoration() {
            override fun getItemOffsets(outRect: Rect, itemPosition: Int, parent: RecyclerView) {
                super.getItemOffsets(outRect, itemPosition, parent)
                if (itemPosition == 0){

                }else{
                    outRect.set(0, SizeUtil.dp2px(this@EnterpriseInformationAct,12f))
                }
            }
        })*/
    }

    override fun loadData() {

    }

    override fun initView() {
        super.initView()
        statusBar(binding.title.mView)
        binding.title.mTvTitle.text = "企业资料"
        binding.title.mIvBack.setOnClickListener {
            finish()
        }
    }

    override fun liveObserver() {

    }

    override fun setLayout() = binding.root
}